#!/usr/bin/perl -w

# Tell xqvm to do some sums
# Use jh's CSM emulation package for easy CSM/BASIC translation
# Set this up as a key script and run "xqvm -test 3"

use strict;
use CSM;

my $s = Client ("/tmp/xqvm-socket");
my $sum = 0;
my $nsum = 0;
my ($a,$val);

Request ($s, "tone");

while(($a = Request ($s,"getkey")), ($a ge '0' and $a le '9'))
{
    $val = ord($a) - 48;
    $nsum = $nsum + $val;
    $sum = $sum * 10 + $val;
}    

$a = sprintf("log The number was %d, the sum of digits is %d", $sum, $nsum);

Request ($s, $a);
Request ($s,"finish !");

